--- origsrc/postgresql-9.5alpha1/contrib/hstore_plperl/Makefile	2015-06-29 21:42:18.000000000 +0200
+++ src/postgresql-9.5alpha1/contrib/hstore_plperl/Makefile	2015-07-04 08:20:54.077873800 +0200
@@ -30,6 +30,12 @@ override CPPFLAGS += -DPLPERL_HAVE_UID_G
 SHLIB_LINK += ../hstore/libhstore.a $(wildcard ../../src/pl/plperl/libperl*.a)
 endif
 
+ifeq ($(PORTNAME), cygwin)
+# This means we need an in-tree build on Windows, not a pgxs build
+SHLIB_LINK += -L../hstore -lhstore -L$(perl_archlibexp)/CORE -lperl
+endif
+
+
 # As with plperl we need to make sure that the CORE directory is included
 # last, probably because it sometimes contains some header files with names
 # that clash with some of ours, or with some that we include, notably on
--- origsrc/postgresql-9.5alpha1/contrib/hstore_plpython/Makefile	2015-06-29 21:42:18.000000000 +0200
+++ src/postgresql-9.5alpha1/contrib/hstore_plpython/Makefile	2015-07-04 08:39:30.343835200 +0200
@@ -28,6 +28,12 @@ ifeq ($(PORTNAME), win32)
 SHLIB_LINK += ../hstore/libhstore.a $(wildcard ../../src/pl/plpython/libpython*.a) $(wildcard ../../src/pl/plpython/libplpython*.a)
 endif
 
+ifeq ($(PORTNAME), cygwin)
+# This means we need an in-tree build on Windows, not a pgxs build
+SHLIB_LINK += -L../hstore -lhstore -L../../src/pl/plpython -lplpython2  $(python_libspec)
+endif
+
+
 REGRESS_OPTS += --load-extension=hstore
 ifeq ($(python_majorversion),2)
 REGRESS_OPTS += --load-extension=plpythonu --load-extension=hstore_plpythonu
--- origsrc/postgresql-9.5alpha1/contrib/ltree_plpython/Makefile	2015-06-29 21:42:18.000000000 +0200
+++ src/postgresql-9.5alpha1/contrib/ltree_plpython/Makefile	2015-07-04 08:40:09.328303700 +0200
@@ -28,6 +28,12 @@ ifeq ($(PORTNAME), win32)
 SHLIB_LINK += $(wildcard ../../src/pl/plpython/libpython*.a)
 endif
 
+ifeq ($(PORTNAME), cygwin)
+# This means we need an in-tree build on Windows, not a pgxs build
+SHLIB_LINK += -L../../src/pl/plpython -lplpython2  $(python_libspec)
+endif
+
+
 REGRESS_OPTS += --load-extension=ltree
 ifeq ($(python_majorversion),2)
 REGRESS_OPTS += --load-extension=plpythonu --load-extension=ltree_plpythonu
